package com.hc.gpcore.enums;

import lombok.Getter;

/**
 * @author JIA
 * 自定义消息枚举类
 */
@Getter
public enum InfoEnum {

    NULL_PARAMETER(400, "请求参数错误"),

    LOGIN_USER_NAME_ERROR(201, "无效的身份证号，请查证后再试"),

    DISTRICT_ERROR(201,"该属地未开放继续教育，请查证后再试"),

    DISTRICT_NO_ERROR(201,"您不属于此归属地，请前往指定区域报名入口"),

    COMPANY_LOGIN_ERROR(201,"单位名称或手机号错误，请查证后再试"),

    LOGIN_PASSWORD_ERROR(201, "密码错误,请重新输入"),

    LOGIN_REGISTER_RE(201,"用户已存在,不可重复注册"),

    TOKEN_EXPIRED(203, "token过期或token不存在"),

    AUTHCODE_ERROR(204,"验证码输入错误"),

    ORDERS_RE_ERROR(205,"订单已支付，请勿重复操作"),

    DISTRICT_COURSE_RE_ERROR(206,"此地区已配置此课程,请不要重复操作"),

    USER_COURSE_RE_ERROR(206,"此用户已拥有此课程,请不要重复操作"),

    DISTRICT_CONFIG_RE(207,"此地区已配置规则,请不要重复操作"),

    USER_CONFIG_RE(208,"用户配置已存在,请不要重复操作"),

    USER_INVOICES_ERROR(210,"此订单已申请发票,请不要重复操作"),

    USER_ORDER_REFUND(211,"此订单已申请退款,请不要重复操作"),

    TOKEN_ERROR(209,"非法token,禁止进入系统"),

    PAPER_ERROR(212,"此试卷已过期，请联系管理员重新设置"),

    COURSE_RELATION_ERROR(213,"此课程已有关联,请不要重复操作"),

    DISTRICT_COURSE_ERROR(214,"此地区暂无课程,请联系管理员")

    ;

    private final Integer key;
    private final String msg;

    InfoEnum(Integer key, String msg) {
        this.key = key;
        this.msg = msg;
    }

}
